#
# spec file for package mozilla-ko (Version 1.75)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  mozilla

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool mozilla perl rpm

Name:           mozilla-ko
License:        MPL
Group:          Productivity/Networking/Web/Browsers
Version:        1.75
Release:        0.7
PreReq:         mozilla >= 1.7.5, mozilla < 1.8
Autoreqprov:    on
# http://www.mozilla.org/projects/l10n/mlp_status.html
URL:            http://www.mozilla.or.kr/
Source0:        http://ftp.mozilla.org/pub/mozilla.org/mozilla/l10n/lang/moz1.75/mozilla-1.7.5.ko-KR.langpack.xpi
Source1:        mozilla-ko-chrome
Source2:        locale-ko
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Korean Language Pack for Mozilla

%description
The Korean Language Pack for Mozilla adds Korean translatons and a
regional content pack to Mozilla.



Authors:
--------
    Choi Junho <cjh@kr.FreeBSD.org>
    Jungshik Shin <jshin@mailaps.org>
    Eungkyu Song <eungkyu@sparcs.kaist.ac.kr>
    Seokchan Yun <channy@nine4u.com>

%define prefix   /opt/mozilla
%prep
%setup -q -n %{name} -c %{name}
cd $RPM_BUILD_DIR
unzip -o $RPM_SOURCE_DIR/mozilla-1.7.5.ko-KR.langpack.xpi

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%prefix/%_lib/
cp -r bin/* $RPM_BUILD_ROOT/%prefix/%_lib/
pushd $RPM_BUILD_ROOT/%prefix/%_lib/defaults/profile
      for i in bookmarks.html localstore.rdf mimeTypes.rdf panels.rdf search.rdf
      do
	mv $i ko-$i
      done
popd
pushd $RPM_BUILD_ROOT/%prefix/%_lib/searchplugins
      for i in bugzilla.src google.src mozilla.src
      do
	mv $i ko-$i
      done
popd
mkdir -p $RPM_BUILD_ROOT/%prefix/installed-chrome.d
cp $RPM_SOURCE_DIR/mozilla-ko-chrome $RPM_BUILD_ROOT/%prefix/installed-chrome.d/mozilla-ko
mkdir -p $RPM_BUILD_ROOT/%prefix/installed-chrome.d/locales
cp $RPM_SOURCE_DIR/locale-ko  $RPM_BUILD_ROOT/%prefix/installed-chrome.d/locales/ko

%pre
/opt/mozilla/bin/rebuild-databases.sh --pre

%post
/opt/mozilla/bin/rebuild-databases.sh --post

%preun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --pre || :

%postun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --post || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/%_lib/*
%exclude %{prefix}/%_lib/chrome/ko-mac.jar
%exclude %{prefix}/%_lib/chrome/ko-win.jar
%prefix/installed-chrome.d/mozilla-ko
%prefix/installed-chrome.d/locales/ko

%changelog -n mozilla-ko
* Thu Jul 07 2005 - stark@suse.de
- update to version 1.7.5
- made uninstall scripts more robust
- don't package other platform's chromes
* Tue Sep 28 2004 - mfabian@suse.de
- Bugzilla #42312: updated langpack installation.
* Fri Aug 20 2004 - mfabian@suse.de
- update to 1.72.
* Fri Aug 20 2004 - ro@suse.de
- fix prereq version
* Thu Aug 19 2004 - sbrabec@suse.cz
- Fixed Prereq (#43990).
* Thu Mar 04 2004 - mfabian@suse.de
- new package, version 1.6.
